Subject: bug#23290: 25.1.50; eww: Symbol’s value as variable is void: url-http-response-status

From: Michael Heerdegen <[email-masked]>
Date: Thu, 14 Apr 2016 21:08:00 +0200

Hello,

since some time, I often get this error when surfing with eww:

  error in process filter:
  url-http-content-length-after-change-function:
  Symbol’s value as variable is void: url-http-response-status

I guess this is related to (sorry if I'm wrong)

  3c623c26ae7d695746e05d8a2e16a67a6256b024
  Author:     Tao Fang <[email-masked]>
  AuthorDate: Mon Apr 4 22:21:21 2016 +0200
  Commit:     Lars Magne Ingebrigtsen <[email-masked]>
  CommitDate: Mon Apr 4 22:21:34 2016 +0200
  
  Allow URL using HTTPS proxies using CONNECT

Here is a URL for that I can reproduce the problem:

  https://lite.qwant.com/?t=images&q=test

Thanks,

Michael.

In GNU Emacs 25.1.50.7 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2016-04-11 built on drachen
Repository revision: d6ea6453f3d1696b9e6cd0a0222fc77dc646365c
Windowing system distributor 'The X.Org Foundation', version 11.0.11803000
System Description:	Debian GNU/Linux testing (stretch)

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY
LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LC_ALL: de_DE.utf8
  value of $LC_COLLATE: C
  value of $LC_TIME: C
  value of $LANG: de_DE.utf8
  locale-coding-system: utf-8-unix